> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Maintenance Update



## OpenAPI

````yaml POST /api/v1/status-pages/{statusPageId}/maintenance/{maintenanceId}/updates
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/status-pages/{statusPageId}/maintenance/{maintenanceId}/updates:
    post:
      tags:
        - status-pages
      summary: Add an update to a maintenance window
      operationId: ManagementMaintenanceController_addUpdate_v1
      parameters:
        - name: statusPageId
          required: true
          in: path
          schema:
            type: string
        - name: maintenanceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddMaintenanceUpdateDto'
      responses:
        '201':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    AddMaintenanceUpdateDto:
      type: object
      properties:
        content:
          type: string
        status:
          type: string
          enum:
            - scheduled
            - in_progress
            - completed
            - cancelled
      required:
        - content
        - status
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````